This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 186811 - Review Request: libnfnetlink - Netfilter netlink userspace library
Review Request: libnfnetlink - Netfilter netlink userspace library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 186887 186892
  Show dependency treegraph
 
Reported: 2006-03-26 14:18 EST by Paul P Komkoff Jr
Modified: 2011-11-28 13:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-11 09:19:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul P Komkoff Jr 2006-03-26 14:18:39 EST
Spec Name or Url: http://stingr.net/l/fe/libnfnetlink.spec
SRPM Name or Url: http://stingr.net/l/fe/libnfnetlink-0.0.14-1.src.rpm
Description:
libnfnetlink is a userspace library that provides some low-level
nfnetlink handling functions.  It is used as a foundation for other, netfilter
subsystem specific libraries such as libnfnetlink_conntrack, libnfnetlink_log
and libnfnetlink_queue.
Comment 1 Paul P Komkoff Jr 2006-03-26 15:14:30 EST
This is the 1st prerequisite to conntrack userspace tool. Second will be
libnfnetlink_conntrack.
Comment 2 Jochen Schmitt 2006-03-28 13:44:54 EST
Good:
+ Local build works.
+ rpmlint has not complaints for SRPM.
+ Mock build worked fine.

Bad:
- rpmlint complaints on libnfnetlink:
  E: libnfnetlink library-without-ldconfig-postin /usr/lib/libnfnetlink.so.0.0.0
  E: libnfnetlink library-without-ldconfig-postun /usr/lib/libnfnetlink.so.0.0.0
- rpm don't contains verbatin copy of the license.
- devel rpm contains static libraries.
Comment 3 Paul P Komkoff Jr 2006-03-28 16:14:59 EST
I've updated spec and srpm wrt ldconfig and --disable-static.
And wrt license text - original distribution don't contain it too.
Comment 4 Stefan Neufeind 2006-04-01 16:21:22 EST
Unfortunately I can't judge about the spec in detail. But I did build and try
the three related packages (libnfnetlink, libnetfilter_conntrack and conntrack).
They did build and install fine, conntrack seems to work fine as well.
Comment 5 Paul Howarth 2006-04-25 11:35:49 EDT
Please bump the release number with package revision, even during review. The
SRPM at the posted URL does not contain the same spec file as the one at the
posted spec URL (still missing ldconfig scriptlets).
Comment 7 Jochen Schmitt 2006-04-26 14:15:22 EDT
Please take the license text from www.gnu.org an poke the upstream to include a
written license text.
Comment 8 Paul P Komkoff Jr 2006-04-26 16:04:20 EDT
Is it serious, real, critical showstopper? It wil enhance review period for
another couple of weeks because of "upstream" being on vacation.
Comment 9 Paul Howarth 2006-04-27 03:48:44 EDT
(In reply to comment #8)
> Is it serious, real, critical showstopper? It wil enhance review period for
> another couple of weeks because of "upstream" being on vacation.

No, it's not a blocker. It's a "SHOULD" in the package review guidelines
(http://fedoraproject.org/wiki/Packaging/ReviewGuidelines).
Comment 10 Jochen Schmitt 2006-04-27 11:38:25 EDT
You may be able to download the current CPL text from 
http://www.gnu.org/licenses/gpl.txt and add is to your package.

Then you may poke the upstream to include a verbatin copy of the license in 
the upstream package.

When this may be happen, you can create an updated version of your package, 
which use the text from the upstream package instead of the text from 
www.gnu.org
Comment 11 Stefan Neufeind 2006-05-08 07:44:27 EDT
So to my understanding there is nothing really preventing a release in extras,
since the gpl-text can be added to the package without it being upstream as well
for now. Or is there something I could do to actually move this topic (release
in extras) forward?
Comment 12 Paul Howarth 2006-05-08 12:42:54 EDT
(In reply to comment #11)
> So to my understanding there is nothing really preventing a release in extras,
> since the gpl-text can be added to the package without it being upstream as well
> for now. Or is there something I could do to actually move this topic (release
> in extras) forward?

Jochen is asking you to include http://www.gnu.org/licenses/gpl.txt as an
additional source file, to include this file as %doc in your spec, and also to
try to get upstream to include a copy of the license text distributed with their
source. Whilst there is no requirement in the package review guidelines for the
license text to be packaged if upstream do not provide it, and poking upstream
is only a *should* rather than a *must* in the guidelines, if you want to get
this package approved sooner rather than later, I'd do as Jochen asks.
Comment 14 Jochen Schmitt 2006-05-10 13:57:07 EDT
I'm happy to APPOROVE your package.
Comment 15 Christian Iseli 2006-12-30 19:13:33 EST
(In reply to comment #14)
> I'm happy to APPOROVE your package.

Please do block FE-ACCEPT when you approve a package.
Thanks.
Comment 16 Paul P Komkoff Jr 2009-10-13 08:22:43 EDT
Package Change Request
======================
Package Name: libnfnetlink
New Branches: EL-4 EL-5
Owners: stingray jrussek
Comment 17 Kevin Fenzi 2009-10-13 12:35:02 EDT
jrussek doesn't seem to be in the packager group. 

Please add a new request and reset the flag?
Comment 18 Paul P Komkoff Jr 2011-11-27 17:19:43 EST
Package Change Request
======================
Package Name: libnfnetlink
New Branches: EL-6
Owners: stingray jrussek
Comment 19 Jon Ciesla 2011-11-28 08:10:45 EST
jrussek still isn't in the packager group.  What Kevin meant was submit a new request, either after jrussek is in the packager group, or without jrussek.
Comment 20 Paul P Komkoff Jr 2011-11-28 13:22:37 EST
Package Change Request
======================
Package Name: libnfnetlink
New Branches: EL-4 EL-5 EL-6
Owners: stingray
Comment 21 Jon Ciesla 2011-11-28 13:35:54 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.